Skip to main content

Get Order Detail

Get detailed order information including trade status, payment info, user info, and merchant statistics.

HTTP Request

  • GET /api/v3/fiat/order/detail

Required Permission: P2P Account Read

Request Parameters

NameTypeMandatoryDescription
advOrderNostringyesOrder unique identifier

Response Parameters

NameTypeDescription
advNostringOrder number
advOrderNostringAd number
tradableQuantityBigDecimalTrade quantity
priceBigDecimalTrade price
amountBigDecimalTrade amount (fiat)
coinNamestringCoin name
statestringOrder status. See enum OrderDealState
payTimeLimitlongPayment deadline (millisecond timestamp)
allowComplainTimelongAllowed appeal time (millisecond timestamp)
sidestringTrade direction: BUY / SELL
fiatUnitstringFiat currency unit
createTimelongCreation time (millisecond timestamp)
updateTimelongUpdate time (millisecond timestamp)
paymentInfoarrayPayment methods bound to the ad
paymentInfo[].idintegerPayment method ID
paymentInfo[].payMethodintegerPayment method type
paymentInfo[].bankNamestringBank name
paymentInfo[].accountstringAccount
paymentInfo[].bankAddressstringBank address
paymentInfo[].payeestringPayee
paymentInfo[].extendstringExtended info (JSON string)
confirmPaymentInfoobjectPayment method selected by buyer when confirming payment (same structure as paymentInfo element)
userInfoobjectCounterparty user info
userInfo.accountstringAccount (masked)
userInfo.realNamestringReal name
userInfo.mobilestringMobile number (masked)
userInfo.merchantbooleanWhether is a merchant
userInfo.countryCodestringCountry code
userInfo.nickNamestringNickname
userInfo.kycLevelstringKYC level: NONE / PRIMARY / ADVANCED
userInfo.imIdstringIM user ID
userInfo.memberIdstringMember ID
userInfo.registryTimelongRegistration time (millisecond timestamp)
userInfo.hasMobilebooleanWhether mobile is bound
userInfo.hasEmailbooleanWhether email is bound
userInfo.badgestringUser badge
userInfo.merchantTypestringMerchant type
userFiatStatisticsobjectCounterparty trade statistics
userFiatStatistics.totalBuyCountintegerTotal buy orders
userFiatStatistics.totalSellCountintegerTotal sell orders
userFiatStatistics.doneLastMonthCountintegerOrders completed in last 30 days
userFiatStatistics.avgBuyHandleTimenumberAverage buy order processing time (minutes)
userFiatStatistics.avgSellHandleTimenumberAverage sell order processing time (minutes)
userFiatStatistics.lastMonthCompleteRatestringLast 30 days completion rate
userFiatStatistics.completeRatestringOverall completion rate
complainedbooleanWhether appealed
blockUserbooleanWhether user is blocked
spotCountintegerSpot trade count
unreadCountintegerUnread message count

Response

{
"msg": "success",
"code": 0,
"data": {
"advNo": "d1375000622702411776",
"advOrderNo": "a1370592216728096768",
"tradableQuantity": 0.9345,
"price": 107,
"amount": 100,
"coinName": "USDT",
"state": "PAID",
"paymentInfo": [
{
"id": 921,
"payMethod": 1,
"bankName": "123",
"account": "124",
"bankAddress": "133",
"payee": "123",
"extend": "{}"
}
],
"payTimeLimit": 1737880040000,
"allowComplainTime": 1737879163000,
"side": "BUY",
"fiatUnit": "RUB",
"createTime": 1737879140000,
"updateTime": 1737879143000,
"confirmPaymentInfo": {
"id": 921,
"payMethod": 1,
"bankName": "123",
"account": "124",
"bankAddress": "133",
"payee": "123",
"extend": "{}"
},
"userInfo": {
"account": "da***2@mexc.com",
"realName": "gg hgg",
"mobile": "+22*******51",
"merchant": true,
"countryCode": "GB",
"nickName": "Common-user-14146765509",
"kycLevel": "ADVANCED",
"imId": "14146765509",
"memberId": "b929d3c3085444e9afac52c0cd8ab977",
"registryTime": 1710142298000,
"hasMobile": true,
"hasEmail": true,
"badge": "0",
"merchantType": "normal"
},
"userFiatStatistics": {
"totalBuyCount": 27,
"totalSellCount": 3,
"doneLastMonthCount": 0,
"avgBuyHandleTime": 0.1,
"avgSellHandleTime": 2.06,
"lastMonthCompleteRate": "0",
"completeRate": "0.2500"
},
"complained": false,
"blockUser": false,
"spotCount": 0,
"unreadCount": 0
}
}